<div class="container mt-5">
  <div class="row">
    <div class="col-8">
      <app-stepper [linearModeSelected]="false" #appStepper>
        <cdk-step
          [label]="'Address'"
          [completed]="checkoutForm.get('addressForm').valid"
          ><app-checkout-address
            [checkoutForm]="checkoutForm"
          ></app-checkout-address
        ></cdk-step>
        <cdk-step
          [label]="'Delivery'"
          [completed]="checkoutForm.get('deliveryForm').valid"
          ><app-checkout-delivery
            [checkoutForm]="checkoutForm"
          ></app-checkout-delivery
        ></cdk-step>
        <cdk-step [label]="'Review'"
          ><app-checkout-review [appStepper]="appStepper"></app-checkout-review
        ></cdk-step>
        <cdk-step [label]="'Payment'"
          ><app-checkout-payment
            [checkoutForm]="checkoutForm"
          ></app-checkout-payment
        ></cdk-step>
      </app-stepper>
    </div>
    <div class="col-4" ng>
      <app-order-totals
        *ngIf="basketTotals$ | async as basketTotals"
        [shippingPrice]="basketTotals.shipping"
        [subtotal]="basketTotals.subtotal"
        [total]="basketTotals.total"
      ></app-order-totals>
    </div>
  </div>
</div>
